visNearestNodes {visNetwork} | R Documentation

## Function to nearest nodes of a target node, with shiny only.

### Description

Function to nearest nodes of a target node, with shiny only.

### Usage

    visNearestNodes(graph, target, maxpoints = 5, addDist = T)

### Arguments

`graph` | : a `visNetworkProxy` object
`target` | : name of shiny input returning target node id
`maxpoints` | : Number of nearest nodes. Default to 5
`addDist` | : If TRUE, add a column named dist_ that contains the distance from the coordinate to the point, in pixels.

### References

See online documentation http://datastorm-open.github.io/visNetwork/

### See Also

visNodes for nodes options, visEdges for edges options, visGroups for groups options, visLegend for adding legend, visOptions for custom option, visLayout & visHierarchicalLayout for layout, visPhysics for control physics, visInteraction for interaction, visNetworkProxy & visFocus & visFit for animation within shiny, visDocumentation, visEvents, visConfigure ...

### Examples

    ## Not run:

    # have a look to :
    shiny::runApp(system.file("shiny", package = "visNetwork"))

    ## End(Not run)

[Package visNetwork version 2.0.1 Index]